umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Enumerations | Functions
Uml::SignatureType Namespace Reference

## Enumerations
enum | Enum { NoSig = 600 , ShowSig , SigNoVis , NoSigNoVis }

## Functions
QString | toString (Enum item)
Enum | fromString (const QString &item)
Enum | fromInt (int item)

## Detailed Description

Signature types.

## Enumeration Type Documentation

## ◆ Enum

enum Uml::SignatureType::Enum

Enumerator
NoSig |
ShowSig |
SigNoVis |
NoSigNoVis |

## Function Documentation

## ◆ fromInt()

Enum Uml::SignatureType::fromInt | ( | int | item | ) |

Convert an integer item into SignatureType representation.

Parameters

  item | integer value to convert

Returns
  SignatureType enum

## ◆ fromString()

Enum Uml::SignatureType::fromString | ( | const QString & | item | ) |

Return SignatureType corresponding to the given string.

## ◆ toString()

QString Uml::SignatureType::toString | ( | Enum | item | ) |

Return string corresponding to the given SignatureType.